search cancel

Does Symantec DLP leverage .NET 3.5 Framework?

book

Article ID: 243760

calendar_today

Updated On:

Products

Data Loss Prevention Endpoint Prevent

Issue/Introduction

Is the .NET 3.5 framework being required or being referenced as part of Symantec DLP component files?

 

Environment

Release : 15.x

Component : Enforce, Detection Servers, DLP Agents

Cause

Checking if .NET 3.5 framework is a requirement to run Symantec DLP software

Resolution

There is no reference for .NET 3.5 framework being required or being referenced as part of Symantec DLP Agent or DLP Servers in the currently supported version series 15.7.x nor 15.8.x Installation guides nor 15.7.x nor 15.8.x System Requirements and Compatibility Guides, all listed below for reference:

https://techdocs.broadcom.com/content/dam/broadcom/techdocs/symantec-security-software/information-security/data-loss-prevention/generated-pdfs/Symantec_DLP_15.7_Install_Guide_Win.pdf

https://techdocs.broadcom.com/content/dam/broadcom/techdocs/symantec-security-software/information-security/data-loss-prevention/generated-pdfs/Symantec_DLP_15.7_System_Requirements_Guide.pdf

https://techdocs.broadcom.com/content/dam/broadcom/techdocs/symantec-security-software/information-security/data-loss-prevention/generated-pdfs/Symantec_DLP_15.8_Install_Guide_Win.pdf

https://techdocs.broadcom.com/content/dam/broadcom/techdocs/symantec-security-software/information-security/data-loss-prevention/generated-pdfs/Symantec_DLP_15.8_Install_Guide_Win.pdf

On test environment functioning DLP Enforce and Detection servers and DLP agents in 15.7.x series and 15.8.x series default installs there is no .NET framework 3.5 windows service turned on, so not required to have a functional DLP platform.

Additional Information

.NET was previously part of Reporting "SOAP" API configuration, but that was deprecated in DLP 15.7.

The latest versions of the Reporting "REST" API, in 15.8 and above, uses a Java implementation instead.

Attachments